Bug 220127

Summary: REGRESSION: http/tests/inspector/network/resource-timing.html is a flaky failure
Product: WebKit Reporter: Ryan Haddad <ryanhaddad>
Component: Web InspectorAssignee: Ryan Haddad <ryanhaddad>
Status: RESOLVED FIXED    
Severity: Normal CC: achristensen, ews-watchlist, hi, inspector-bugzilla-changes, webkit-bug-importer
Priority: P2 Keywords: InRadar
Version: WebKit Nightly Build   
Hardware: Unspecified   
OS: Unspecified   
Attachments:
Description Flags
Patch none

Description Ryan Haddad 2020-12-23 12:02:48 PST
--- /Volumes/Data/slave/catalina-release-tests-wk2/build/layout-test-results/http/tests/inspector/network/resource-timing-expected.txt
+++ /Volumes/Data/slave/catalina-release-tests-wk2/build/layout-test-results/http/tests/inspector/network/resource-timing-actual.txt
@@ -19,6 +19,7 @@
 PASS: responseEnd should come after responseStart.
 
 -- Running test case: Resource.TimingData.Redirect
+ERROR: Missing frame for given frameId
 PASS: Start time should be before redirect start time.
 PASS: Redirect start time should be before redirect end time.
 PASS: Redirect duration should be at least a few milliseconds.

https://results.webkit.org/?suite=layout-tests&test=http%2Ftests%2Finspector%2Fnetwork%2Fresource-timing.html
Comment 1 Ryan Haddad 2020-12-23 12:08:10 PST
Created attachment 416721 [details]
Patch
Comment 2 Radar WebKit Bug Importer 2020-12-30 12:03:13 PST
<rdar://problem/72742865>
Comment 3 EWS 2021-01-05 10:09:22 PST
Committed r271152: <https://trac.webkit.org/changeset/271152>

All reviewed patches have been landed. Closing bug and clearing flags on attachment 416721 [details].